# DataExchange
TKVRML
Vrml

# Vrml_FontStyle Class Reference

defines a FontStyle node of VRML of properties of geometry
and its appearance.
The size field specifies the height (in object space units)
of glyphs rendered and determines the vertical spacing of
adjacent lines of text.

`#include <Vrml_FontStyle.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_FontStyle (const Standard_Real aSize=10, const Vrml_FontStyleFamily aFamily=Vrml_SERIF, const Vrml_FontStyleStyle aStyle=Vrml_NONE)
Standard_EXPORT void | SetSize (const Standard_Real aSize)
Standard_EXPORT Standard_Real | Size () const
Standard_EXPORT void | SetFamily (const Vrml_FontStyleFamily aFamily)
Standard_EXPORT Vrml_FontStyleFamily | Family () const
Standard_EXPORT void | SetStyle (const Vrml_FontStyleStyle aStyle)
Standard_EXPORT Vrml_FontStyleStyle | Style () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const

## Private Attributes

Standard_Real | mySize
Vrml_FontStyleFamily | myFamily
Vrml_FontStyleStyle | myStyle

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_FontStyle::Vrml_FontStyle | ( | const Standard_Real | aSize = `10`,
|  | const Vrml_FontStyleFamily | aFamily = `Vrml_SERIF`,
|  | const Vrml_FontStyleStyle | aStyle = `Vrml_NONE`
| ) |

## Member Function Documentation

Standard_EXPORT Vrml_FontStyleFamily Vrml_FontStyle::Family | ( |  | ) | const

void Vrml_FontStyle::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_FontStyle::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_FontStyle::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_OStream& Vrml_FontStyle::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT void Vrml_FontStyle::SetFamily | ( | const Vrml_FontStyleFamily | aFamily | ) |

Standard_EXPORT void Vrml_FontStyle::SetSize | ( | const Standard_Real | aSize | ) |

Standard_EXPORT void Vrml_FontStyle::SetStyle | ( | const Vrml_FontStyleStyle | aStyle | ) |

Standard_EXPORT Standard_Real Vrml_FontStyle::Size | ( |  | ) | const

Standard_EXPORT Vrml_FontStyleStyle Vrml_FontStyle::Style | ( |  | ) | const

## Field Documentation

Vrml_FontStyleFamily Vrml_FontStyle::myFamily `[private]`

Standard_Real Vrml_FontStyle::mySize `[private]`

Vrml_FontStyleStyle Vrml_FontStyle::myStyle `[private]`

The documentation for this class was generated from the following file:

- Vrml_FontStyle.hxx